Package com.xebialabs.xlrelease.events

## Class ReleaseVariableCreateOperation

- java.lang.Object
- - com.xebialabs.xlrelease.events.ReleaseVariableCreateOperation

- All Implemented Interfaces:
    `VariableCreateOperation`, `XLReleaseOperation`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class ReleaseVariableCreateOperation
      extends java.lang.Object
      implements VariableCreateOperation, scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReleaseVariableCreateOperation​(Variable variable)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `scala.runtime.Null$` | `action()` |
    `static ReleaseVariableCreateOperation` | `apply​(Variable variable)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `ReleaseVariableCreateOperation` | `copy​(Variable variable)` |
    `Variable` | `copy$default$1()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `ReleaseVariableCreatedEvent` | `event()` |
    `int` | `hashCode()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<Variable>` | `unapply​(ReleaseVariableCreateOperation x$0)` |
    `Variable` | `variable()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

- - ### Constructor Detail

    - #### ReleaseVariableCreateOperation

          public ReleaseVariableCreateOperation​(Variable variable)

  - ### Method Detail

    - #### apply

          public static ReleaseVariableCreateOperation apply​(Variable variable)

    - #### unapply

          public static scala.Option<Variable> unapply​(ReleaseVariableCreateOperation x$0)

    - #### variable

          public Variable variable()

    - #### action

          public scala.runtime.Null$ action()

      Specified by:
        `action` in interface `XLReleaseOperation`

    - #### event

          public ReleaseVariableCreatedEvent event()

      Specified by:
        `event` in interface `XLReleaseOperation`

    - #### copy

          public ReleaseVariableCreateOperation copy​(Variable variable)

    - #### copy$default$1

          public Variable copy$default$1()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`